Bug 166485 - www/linux-f10-flashplugin11 is vulnerable
www/linux-f10-flashplugin11 is vulnerable
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Eitan Adler
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 10:40 UTC by turutani
Modified: 2012-06-25 10:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.34 KB, patch)
2012-03-29 10:40 UTC, turutani
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description turutani 2012-03-29 10:40:10 UTC
	www/linux-f10-flashplugin11 is vulnerable.
	ref: http://www.adobe.com/support/security/bulletins/apsb12-07.html

Fix: here is a patch:
Comment 1 Edwin Groothuis freebsd_committer 2012-03-29 10:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->emulation

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 poyopoyo 2012-04-05 22:01:44 UTC
Does anyone have time to handle this security update?

(to submitter: I suppose the Synopsis might better be like: 
[security] update port: www/linux-f10-flashplugin11 to 11.2
to catch comitters' eyes nicely.)
Comment 3 c.kworr 2012-04-08 21:20:57 UTC
Hi all.

This patch results in unusable plugin on my machine. When running flash 
it quickly drops with:

*** NSPlugin Wrapper *** ERROR: NPP_New() wait for reply: Connection closed
*** NSPlugin Wrapper *** 
WARNING:(/tmp/ports/usr/ports/www/nspluginwrapper/work/nspluginwrapper-1.4.4/src/npw-wrapper.c:2150):invoke_NPP_Destroy: 
assertion failed: (rpc_method_invoke_possible(plugin->connection))

FreeBSD limbo.lan 9.0-STABLE FreeBSD 9.0-STABLE #0 r233753: Sun Apr  1 
19:06:58 EEST 2012     arcade@limbo.lan:/usr/obj/usr/src/sys/MINIMALx32 
  i386

World was built with clang. Previous version worked like a charm with 
chromium and seamonkey, this one fails for both.

-- 
Sphinx of black quartz judge my vow.
Comment 4 turutani 2012-04-09 02:31:50 UTC
Volodymyr Kostyrko <c.kworr@gmail.com> wrote:

 I cannot reproduce this trouble on my host with chromium and firefox.

h120 % uname -a
FreeBSD h120.65.226.10.32118.vlan.kuins.net 8.2-PRERELEASE FreeBSD 8.2-PRERELEASE #25: Mon 
Jan 24 10:37:18 JST 2011     turutani@h120.65.226.10.32118.vlan.kuins.net:usr/obj/usr/src/sys/POLYMER  i386

 Does running "nspluginwrapper -a -v -i" help it ?

> Hi all.
> 
> This patch results in unusable plugin on my machine. When running flash 
> it quickly drops with:
> 
> *** NSPlugin Wrapper *** ERROR: NPP_New() wait for reply: Connection closed
> *** NSPlugin Wrapper *** 
> WARNING:(/tmp/ports/usr/ports/www/nspluginwrapper/work/nspluginwrapper-1.4.4/src/npw-
wrapper.c:2150):invoke_NPP_Destroy: 
> assertion failed: (rpc_method_invoke_possible(plugin->connection))
> 
> FreeBSD limbo.lan 9.0-STABLE FreeBSD 9.0-STABLE #0 r233753: Sun Apr  1 
> 19:06:58 EEST 2012     arcade@limbo.lan:/usr/obj/usr/src/sys/MINIMALx32 
>   i386
> 
> World was built with clang. Previous version worked like a charm with 
> chromium and seamonkey, this one fails for both.


--- 
Tsurutani Naoki
turutani@scphys.kyoto-u.ac.jp
Comment 5 c.kworr 2012-04-09 05:30:29 UTC
Tsurutani Naoki wrote:
>   I cannot reproduce this trouble on my host with chromium and firefox.
>
> h120 % uname -a
> FreeBSD h120.65.226.10.32118.vlan.kuins.net 8.2-PRERELEASE FreeBSD 8.2-PRERELEASE #25: Mon
> Jan 24 10:37:18 JST 2011     turutani@h120.65.226.10.32118.vlan.kuins.net:usr/obj/usr/src/sys/POLYMER  i386
>
>   Does running "nspluginwrapper -a -v -i" help it ?

No, nothing changes. Installing previous version fixes things.

I'll try to recheck and rebuild everything close to nspluginwrapper. 
However I have already checked that there are no unresolved symbols in 
libraries under /usr/local.

-- 
Sphinx of black quartz judge my vow.
Comment 6 c.kworr 2012-04-09 11:37:39 UTC
On my other desktop everything works fine.

FreeBSD green.tandem.local 9.0-STABLE FreeBSD 9.0-STABLE #1 r234052: Mon 
Apr  9 11:22:31 EEST 2012 
arcade@green.tandem.local:/usr/obj/usr/src/sys/MINIMAL  amd64

-- 
Sphinx of black quartz judge my vow.
Comment 7 c.kworr 2012-04-09 20:19:53 UTC
Geez, I missed one thing that possibly explains this situation:

Apr  8 21:43:24 limbo kernel: pid 6571 (npviewer.bin), uid 1001: exited 
on signal 4 (core dumped)

My machine is not SSE2 capable.

CPU: AMD Athlon(tm)  (1750.59-MHz 686-class CPU)
Origin = "AuthenticAMD"  Id = 0x6a0  Family = 6  Model = a  Stepping = 0
Features=0x383fbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE>
AMD Features=0xc0400800<SYSCALL,MMX+,3DNow!+,3DNow!>

Windows version on the same machine works. It seems I should bug Adobe 
about that...

-- 
Sphinx of black quartz judge my vow.
Comment 8 Eitan Adler freebsd_committer 2012-04-09 23:10:50 UTC
Responsible Changed
From-To: emulation->eadler

take as flash maintainer
Comment 9 dfilter freebsd_committer 2012-04-10 00:15:49 UTC
eadler      2012-04-09 23:15:31 UTC

  FreeBSD ports repository

  Modified files:
    www/linux-f10-flashplugin11 Makefile distinfo 
  Log:
  - Update flash to current 11,2,202,228
  
  PR:             ports/166485
  Submitted by:   Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  Reviewed by:    nox
  Security:       20923a0d-82ba-11e1-8d7b-003067b2972c
  
  Revision  Changes    Path
  1.33      +1 -1      ports/www/linux-f10-flashplugin11/Makefile
  1.26      +4 -4      ports/www/linux-f10-flashplugin11/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Eitan Adler freebsd_committer 2012-04-10 00:17:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 11 turutani 2012-05-01 07:00:34 UTC
Hi,

Would you try 11.2.202.233 ?

ref: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167469

Volodymyr Kostyrko <c.kworr@gmail.com> wrote:

> Geez, I missed one thing that possibly explains this situation:
> 
> Apr  8 21:43:24 limbo kernel: pid 6571 (npviewer.bin), uid 1001: exited 
> on signal 4 (core dumped)
> 
> My machine is not SSE2 capable.
> 
> CPU: AMD Athlon(tm)  (1750.59-MHz 686-class CPU)
> Origin = "AuthenticAMD"  Id = 0x6a0  Family = 6  Model = a  Stepping = 0
> Features=0x383fbff
<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,MMX,FXSR,SSE>
> AMD Features=0xc0400800<SYSCALL,MMX+,3DNow!+,3DNow!>
> 
> Windows version on the same machine works. It seems I should bug Adobe 
> about that...
> 
> -- 
> Sphinx of black quartz judge my vow.
>
Comment 12 c.kworr 2012-05-02 10:42:50 UTC
Tsurutani Naoki wrote:
> Hi,
>
> Would you try 11.2.202.233 ?
>
> ref: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167469
>

Already filed that as 
http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167390

Right now I managed to fully ruin my filesystem on that machine. I'm at 
decyphering DVA's in ZFS and writing some code to recover my data. I'm 
far off testing flash there... I'll test this when I can. Meanwhile 
there's no point in stopping updating the port - 233 seems to be "final" 
flash 11.2 revision and works for me on AMD64.

-- 
Sphinx of black quartz judge my vow.
Comment 13 c.kworr 2012-06-25 10:02:24 UTC
Volodymyr Kostyrko wrote:
> Tsurutani Naoki wrote:
>> Hi,
>>
>> Would you try 11.2.202.233 ?
>>
>> ref: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167469
>>
>
> Already filed that as
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/167390
>
> Right now I managed to fully ruin my filesystem on that machine. I'm at
> decyphering DVA's in ZFS and writing some code to recover my data. I'm
> far off testing flash there... I'll test this when I can. Meanwhile
> there's no point in stopping updating the port - 233 seems to be "final"
> flash 11.2 revision and works for me on AMD64.

No, latest version doesn't work for me on old i386 hardware while 
11.1r102.63 works fine.

I'm sure this is something about SSE2 as each failure results in "exited 
on signal 4" which means 'illegal instruction'.

-- 
Sphinx of black quartz judge my vow.